Bug 506244 - Kernel doesn't detect synaptics touchpad in F11
Kernel doesn't detect synaptics touchpad in F11
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
Blocks: 505779
  Show dependency treegraph
Reported: 2009-06-16 07:04 EDT by Rob Spanton
Modified: 2009-07-20 10:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-20 10:03:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
kernel- dmesg output (42.29 KB, text/plain)
2009-06-16 07:04 EDT, Rob Spanton
no flags Details

  None (edit)
Description Rob Spanton 2009-06-16 07:04:07 EDT
Created attachment 348081 [details]
kernel- dmesg output

Description of problem: synaptics touchpad doesn't get detected by the kernel under Fedora 11.

This is in a Samsung Q35 laptop.  The touchpad has worked without problems as long as I can remember (at least back to FC7).

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Turn on laptop, wait for it to boot.
2. Try to move mouse using touchpad.

Actual results:
Mouse doesn't move.

Expected results:
Mouse movement.  

Additional info:
This was originally bug #505779, which was against synaptics.  I was told to register a new bug against the kernel.

The string "Synaptics" doesn't occur in /proc/bus/input/devices.

I'm attaching my dmesg in case that's useful.
Comment 1 Chuck Ebbert 2009-06-18 21:59:02 EDT
Do you happen to have the boot messages from when the touchpad was working?
Comment 2 Rob Spanton 2009-06-19 03:39:16 EDT
Hi Chuck,

Yes, I do.  All of the dmesg attachments to bug #242902 are from this laptop in previous Fedora releases.

https://bugzilla.redhat.com/attachment.cgi?id=319462 is the latest one; from kernel-
Comment 3 tum wich 2009-06-24 09:09:31 EDT
Hi guys
I too having same problem.
However i find that , if i use DVD disc to install. not the live cd.
The touchpad will work!... until it finish installing and boot!
still work for 1-2 times then it stop!!!!.
Occasionally rarely sometime it will decide to work again.
left an right click work fine, it just wont move. 
I now currently have carry mouse with me everywhere -_-!.
dump from dmesg

my machine is Compal EL80

usb 1-4: new high speed USB device using ehci_hcd and address 2
usb 1-4: New USB device found, idVendor=0c45, idProduct=624f
usb 1-4: New USB device strings: Mfr=0, Product=1, SerialNumber=0
usb 1-4: Product: USB20 Camera    
usb 1-4: configuration #1 chosen from 1 choice
elantech.c: assuming hardware version 1, firmware version 2.4
elantech.c: Synaptics capabilities query result 0x00, 0x02, 0x64.
EXT4-fs: barriers enabled
kjournald2 starting: pid 78, dev sda3:8, commit interval 5 seconds

samething happen when i install ubuntu 9.04.... something to do with these new kernel and the touchpad?...
Comment 4 Rob Spanton 2009-07-20 10:03:50 EDT
My touchpad has started working again.

Note You need to log in before you can comment on or make changes to this bug.